# class Puppet::Settings::TerminusSetting

### Public Instance Methods

munge(value) click to toggle source

    # File lib/puppet/settings/terminus_setting.rb, line 4
    def munge(value)
      case value
      when '', nil
        nil
      when String
        value.intern
      when Symbol
        value
      else
        raise Puppet::Settings::ValidationError, "Invalid terminus setting: #{value}"
      end
    end